## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCTableSuperTableLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableSuperTableLoader

    public class JDBCTableSuperTableLoader

extends JDBCBaseLoader

Base loader implementation for loading a table's super table objects. This class may be specialized as necessary to meet a particular vendor's needs.

Since:
  1.0

Field Summary
`static java.lang.String` `COLUMN_SUPERTABLE_NAME` The column name containing the super table's name.

Constructor Summary
`JDBCTableSuperTableLoader(ICatalogObject catalogObject)` This constructs the loader using no filtering.
`JDBCTableSuperTableLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`Table` `loadSuperTable()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_SUPERTABLE_NAME

    public static final java.lang.String COLUMN_SUPERTABLE_NAME

  The column name containing the super table's name.

  See Also:
    `java.sql.DatabaseMetaData.getSuperTables()`, Constant Field Values

Constructor Detail

### JDBCTableSuperTableLoader

    public JDBCTableSuperTableLoader(ICatalogObject catalogObject)

  This constructs the loader using no filtering.

  Parameters:
    `catalogObject` - the Database object upon which this loader operates.

### JDBCTableSuperTableLoader

    public JDBCTableSuperTableLoader(ICatalogObject catalogObject,
                                     IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Table object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "table" objects being loaded

Method Detail

### loadSuperTable

    public Table loadSuperTable()
                         throws java.sql.SQLException

  Returns:
    the super table, null if no super table exists.
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.